import { IonContent, IonItem, IonLabel, IonListHeader } from "@ionic/react";
import "../components/ListComponent.css";

const ListComponent: React.FC<{ title?: string; items: string[] }> = (props) => {
  const title = props.title;
  const items = props.items;
  return (
    <IonContent>
      {title ? (
        <IonListHeader>
          <IonLabel>{title}</IonLabel>
        </IonListHeader>
      ) : null}

      {items.map((itemName: string) => {
        return (
          <IonItem routerLink={`/article/${encodeURIComponent(itemName)}`}>
            <p className="ListItemText">{itemName}</p>
          </IonItem>
        );
      })}
    </IonContent>
  );
};
export default ListComponent;
